package org.tbasket.db

import io.getquill.context.ZioJdbc.{DataSourceLayer, QuillZioExt}
import io.getquill.{Literal, SqliteZioJdbcContext}
import org.sqlite.SQLiteDataSource
import zio.*

import java.io.Closeable
import java.util.Properties
import javax.sql

class Database(config: Properties):

  private val source = new SQLiteDataSource() with Closeable:
    override def close(): Unit = ()

  source.setUrl(config.getProperty("database.url"))
  val layer = DataSourceLayer.fromDataSource(source)

object Database:
  val ctx = new SqliteZioJdbcContext(Literal)

  import ctx.*

  /* override def run = {
        DataService.getPeople
            .provide(
                DataService.live,
                Quill.Postgres.fromNamingStrategy(SnakeCase),
                Quill.DataSource.fromPrefix("myDatabaseConfig")
            )
            .debug("Results")
            .exitCode
    }
   */
