package org.tbasket.db.schemas

import io.getquill.*
import org.tbasket.db.Database

case class User(
    id: Int,
    name: String,
    forename: String,
    passwordHash: Int,
    mailAddress: String
)
object User:

  import Database.ctx.*

  val schema = quote {
    querySchema[User](
      "user",
      _.id -> "id",
      _.name -> "name",
      _.forename -> "forename",
      _.passwordHash -> "password_hash",
      _.mailAddress -> "mail_address"
    )
  }
